## kernel-headers-2.2.25-m68k 2.2.25-2

=== debian/changelog ===
kernel-headers-2.2.25-m68k (2.2.25-2) unstable; urgency=low

  * rebuild with kernel-patch 2.2.25-2

 -- Christian T. Steigies <cts@debian.org>  Fri, 27 Feb 2004 08:12:37 +0100

kernel-headers-2.2.25-m68k (2.2.25-1) unstable; urgency=low

  * Initial release.

 -- Christian T. Steigies <cts@debian.org>  Thu, 24 Apr 2003 20:52:57 -0400
