=== debian/control ===
Source: kernel-headers-2.2.25-m68k
Section: devel
Priority: optional
Maintainer: Christian T. Steigies <cts@debian.org>
Standards-Version: 3.5.9
Build-Depends: kernel-source-2.2.25, kernel-patch-2.2.25-m68k (>= 2.2.25-2), kernel-package (>= 7.58), debhelper, bzip2

Package: kernel-headers-2.2.25-m68k
Architecture: m68k
Depends: fileutils (>= 4.0)
Provides: kernel-headers, kernel-headers-2.2
Description: Header files related to a specific m68k Linux kernel.
 This package provides kernel header files, for sites that want the latest
 kernel headers.
 Please read /usr/share/doc/kernel-headers-2.2.25/debian.README.gz for details.
